Package Details: qxmledit 0.9.15-1

Git Clone URL: https://aur.archlinux.org/qxmledit.git (read-only, click to copy)
Package Base: qxmledit
Description: Simple XML editor and XSD viewer
Upstream URL: http://qxmledit.org/
Licenses: GPL3, LGPL3
Submitter: Lone_Wolf
Maintainer: Lone_Wolf
Last Packager: Lone_Wolf
Votes: 12
Popularity: 0.24
First Submitted: 2016-07-01 15:09
Last Updated: 2020-03-12 11:10

Latest Comments

1 2 Next › Last »

daviding commented on 2019-12-16 20:46

@Lone_Wolf , over on Github at https://github.com/lbellonda/qxmledit/issues/62 , @lbellonda

do you mind to test compile the "devel" branch? It is the base for the next release and some new branches have been merged in.

I'm just about to leave on a family vacation, and should really be offline. If you're interested, could you please follow up? Thanks.

Lone_Wolf commented on 2019-12-12 09:33

Then I suggest we wait until that version is released.

daviding, if you need a working qxmledit sooner, mail me. I have a working 0.9.13 binary from before qt 5.13 entered arch repos (late june 2019).

daviding commented on 2019-12-11 19:51

A response at https://github.com/lbellonda/qxmledit/issues/62#issuecomment-564704078

Version 0.9.14 is due before the end of this month. It will contain this fix.

Lone_Wolf commented on 2019-12-10 22:54

Confirmed, same error on my system.

It appears to be a known issue that's been fixed in devel branch. https://github.com/lbellonda/qxmledit/issues/62

Several options to solve this exist

  • wait for a new release
  • disable deprecation warnings
  • create a -devel package
  • checkout devel branch at a specific commit and use that as source for this package

Not sure yet which of those is the best option.

daviding commented on 2019-12-10 20:41

I'm getting an error message ...

--begin paste --

cc1plus: all warnings being treated as errors make[1]: [Makefile.QXmlEditWidget:5294: ../build/lib/obj/editelement.o] Error 1 make[1]: Waiting for unfinished jobs.... cc1plus: all warnings being treated as errors make[1]: [Makefile.QXmlEditWidget:5362: ../build/lib/obj/element.o] Error 1 make[1]: Leaving directory '/var/tmp/pamac-build-daviding/qxmledit/src/qxmledit-0.9.13/src' make: [Makefile:93: sub-src-QXmlEditWidget-pro-make_first-ordered] Error 2 ==> ERROR: A failure occurred in build(). Aborting...

-- end paste --

KDE Plasma Version: 5.17.4 KDE Frameworks Version: 5.64.0 Qt Version: 5.13.2 Kernel Version: 5.4.2-1-MANJARO

Lone_Wolf commented on 2018-01-12 19:08

Not really surprising, since the previous version downloaded an on-the-fly generated file from github (was meant as temp solution) .

It seems I had forgotten to upload the new files after switching back to the official release tarballs.

Thanks, keepitsimpleengr .

keepitsimpleengr commented on 2018-01-12 18:26

==> Validating source files with sha256sums... r-0.9.9.2.zip ... FAILED ==> ERROR: One or more files did not pass the validity check!

Lone_Wolf commented on 2018-01-04 12:04

Best wishes for 2018 and thanks for the alert.

It looks like this is due to a change in QT 5.10 , i've created an upstream issue, https://github.com/lbellonda/qxmledit/issues/46 . Since latest version is 0.9.9.1, i've also flagged the package as out-of-date for now.

JohnColeman commented on 2017-12-31 15:46

Hi Lone_Wolf this is failing now with:

make[1]: [Makefile.QXmlEdit:4459: ../build/app/obj/datawidget.o] Error 1 make[1]: Leaving directory '/home/john/aur/qxmledit/src/qxmledit-0.9.8/src' make: [Makefile:177: sub-src-QXmlEdit-pro-make_first-ordered] Error 2 ==> ERROR: A failure occurred in build(). Aborting...

Happy New Year anyway. John :-)

Lone_Wolf commented on 2017-06-16 14:45

Builds against gcc 7 now, also switched .desktop-icon from fixed to scalable and added man page.